Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/archiso
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2012-07-31 19:52:09 -0300
committerGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-08-01 20:16:45 -0300
commit5f74ccd7f01597ff420df6949e830ecd66cc60fd (patch)
tree3eaea09719d944ddcd75008c6747e41cf7cb1649 /archiso
parent555180c14fdc5c3fd6833356fd12e70cfb4194d8 (diff)
archiso_pxe_http: curl should follow redirects
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'archiso')
-rw-r--r--archiso/hooks/archiso_pxe_http2
1 files changed, 1 insertions, 1 deletions
diff --git a/archiso/hooks/archiso_pxe_http b/archiso/hooks/archiso_pxe_http
index ae56210..32e8ab0 100644
--- a/archiso/hooks/archiso_pxe_http
+++ b/archiso/hooks/archiso_pxe_http
@@ -19,7 +19,7 @@ _curl_get() {
local _dst="${2}"
msg ":: Downloading '${_url}'"
- if ! curl -f -o "/run/archiso/httpspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs "${_url}"; then
+ if ! curl -L -f -o "/run/archiso/httpspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs "${_url}"; then
echo "ERROR: Downloading '${_url}'"
echo " Falling back to interactive prompt"
echo " You can try to fix the problem manually, log out when you are finished"